Landscape Package – Fix Landscape Package Not Found on Ubuntu 15.10

landscape

I'm trying to install the on-premises Landscape server as shown here: https://landscape.canonical.com/try-landscape but the "landscape-server-quickstart" package seems to not be found. Here is what I put in the Terminal, and its output:

joseph@slave-server:~$ sudo add-apt-repository ppa:landscape/15.11
[sudo] password for joseph: 
LDS 15.11
More info: https://launchpad.net/~landscape/+archive/ubuntu/15.11
Press [ENTER] to continue or ctrl-c to cancel adding it
gpg: keyring `/tmp/tmpsopcil5i/secring.gpg' created
gpg: keyring `/tmp/tmpsopcil5i/pubring.gpg' created
gpg: requesting key 4652B4E6 from hkp server keyserver.ubuntu.com
gpg: /tmp/tmpsopcil5i/trustdb.gpg: trustdb created
gpg: key 4652B4E6: public key "Launchpad PPA for Landscape" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK

And the return of sudo apt-get update:

joseph@slave-server:~$ sudo apt-get update
Hit http://au.archive.ubuntu.com wily InRelease
Get:1 http://au.archive.ubuntu.com wily-updates InRelease [65.9 kB]            
Hit http://archive.canonical.com wily InRelease                                
Hit http://security.ubuntu.com wily-security InRelease                         
Hit http://au.archive.ubuntu.com wily-backports InRelease                      
Hit http://ppa.launchpad.net wily InRelease       
Hit http://au.archive.ubuntu.com wily/main Sources                             
Hit http://au.archive.ubuntu.com wily/restricted Sources                       
Hit http://ppa.launchpad.net wily InRelease                                    
Hit http://au.archive.ubuntu.com wily/universe Sources                         
Hit http://archive.canonical.com wily/partner Sources                          
Hit http://au.archive.ubuntu.com wily/multiverse Sources                       
Hit http://au.archive.ubuntu.com wily/main amd64 Packages                      
Hit http://security.ubuntu.com wily-security/main Sources                      
Hit http://au.archive.ubuntu.com wily/restricted amd64 Packages                
Hit http://au.archive.ubuntu.com wily/universe amd64 Packages                  
Hit http://ppa.launchpad.net wily InRelease                                    
Hit http://archive.canonical.com wily/partner amd64 Packages                   
Hit http://au.archive.ubuntu.com wily/multiverse amd64 Packages                
Hit http://au.archive.ubuntu.com wily/main i386 Packages                       
Hit http://security.ubuntu.com wily-security/restricted Sources                
Hit http://au.archive.ubuntu.com wily/restricted i386 Packages                 
Hit http://au.archive.ubuntu.com wily/universe i386 Packages                   
Hit http://archive.canonical.com wily/partner i386 Packages                    
Hit http://au.archive.ubuntu.com wily/multiverse i386 Packages                 
Hit http://ppa.launchpad.net wily/main amd64 Packages                          
Hit http://au.archive.ubuntu.com wily/main Translation-en_AU                   
Hit http://security.ubuntu.com wily-security/universe Sources                  
Hit http://au.archive.ubuntu.com wily/main Translation-en                      
Hit http://au.archive.ubuntu.com wily/multiverse Translation-en_AU             
Hit http://archive.canonical.com wily/partner Translation-en                   
Hit http://security.ubuntu.com wily-security/multiverse Sources                
Hit http://au.archive.ubuntu.com wily/multiverse Translation-en                
Hit http://ppa.launchpad.net wily/main i386 Packages          
Hit http://au.archive.ubuntu.com wily/restricted Translation-en_AU
Hit http://au.archive.ubuntu.com wily/restricted Translation-en
Hit http://au.archive.ubuntu.com wily/universe Translation-en_AU               
Hit http://security.ubuntu.com wily-security/main amd64 Packages               
Hit http://au.archive.ubuntu.com wily/universe Translation-en 
Get:2 http://au.archive.ubuntu.com wily-updates/main Sources [73.0 kB]
Hit http://ppa.launchpad.net wily/main Translation-en                          
Hit http://security.ubuntu.com wily-security/restricted amd64 Packages         
Get:3 http://au.archive.ubuntu.com wily-updates/restricted Sources [3,741 B]
Hit http://ppa.launchpad.net wily/main amd64 Packages                          
Get:4 http://au.archive.ubuntu.com wily-updates/universe Sources [22.5 kB]     
Hit http://security.ubuntu.com wily-security/universe amd64 Packages           
Get:5 http://au.archive.ubuntu.com wily-updates/multiverse Sources [3,203 B]   
Get:6 http://au.archive.ubuntu.com wily-updates/main amd64 Packages [206 kB]   
Hit http://ppa.launchpad.net wily/main i386 Packages                           
Hit http://security.ubuntu.com wily-security/multiverse amd64 Packages         
Hit http://security.ubuntu.com wily-security/main i386 Packages        
Hit http://ppa.launchpad.net wily/main Translation-en                  
Hit http://security.ubuntu.com wily-security/restricted i386 Packages          
Hit http://security.ubuntu.com wily-security/universe i386 Packages            
Hit http://ppa.launchpad.net wily/main amd64 Packages                  
Hit http://security.ubuntu.com wily-security/multiverse i386 Packages 
Hit http://security.ubuntu.com wily-security/main Translation-en               
Get:7 http://au.archive.ubuntu.com wily-updates/restricted amd64 Packages [13.3 kB]
Hit http://ppa.launchpad.net wily/main i386 Packages                           
Get:8 http://au.archive.ubuntu.com wily-updates/universe amd64 Packages [92.5 kB]
Hit http://security.ubuntu.com wily-security/multiverse Translation-en         
Hit http://ppa.launchpad.net wily/main Translation-en                          
Hit http://security.ubuntu.com wily-security/restricted Translation-en  
Hit http://security.ubuntu.com wily-security/universe Translation-en    
Hit http://ppa.launchpad.net wily/main Sources                           
Get:9 http://au.archive.ubuntu.com wily-updates/multiverse amd64 Packages [6,253 B]
Get:10 http://au.archive.ubuntu.com wily-updates/main i386 Packages [203 kB]   
Get:11 http://au.archive.ubuntu.com wily-updates/restricted i386 Packages [13.4 kB]
Get:12 http://au.archive.ubuntu.com wily-updates/universe i386 Packages [89.9 kB]
Get:13 http://au.archive.ubuntu.com wily-updates/multiverse i386 Packages [6,677 B]
Hit http://au.archive.ubuntu.com wily-updates/main Translation-en              
Hit http://au.archive.ubuntu.com wily-updates/multiverse Translation-en        
Hit http://au.archive.ubuntu.com wily-updates/restricted Translation-en        
Hit http://au.archive.ubuntu.com wily-updates/universe Translation-en          
Hit http://au.archive.ubuntu.com wily-backports/main Sources                   
Hit http://au.archive.ubuntu.com wily-backports/restricted Sources             
Hit http://au.archive.ubuntu.com wily-backports/universe Sources               
Hit http://au.archive.ubuntu.com wily-backports/multiverse Sources             
Hit http://au.archive.ubuntu.com wily-backports/main amd64 Packages            
Hit http://au.archive.ubuntu.com wily-backports/restricted amd64 Packages      
Hit http://au.archive.ubuntu.com wily-backports/universe amd64 Packages        
Hit http://au.archive.ubuntu.com wily-backports/multiverse amd64 Packages      
Hit http://au.archive.ubuntu.com wily-backports/main i386 Packages             
Hit http://au.archive.ubuntu.com wily-backports/restricted i386 Packages       
Hit http://au.archive.ubuntu.com wily-backports/universe i386 Packages         
Hit http://au.archive.ubuntu.com wily-backports/multiverse i386 Packages       
Hit http://au.archive.ubuntu.com wily-backports/main Translation-en            
Hit http://au.archive.ubuntu.com wily-backports/multiverse Translation-en      
Hit http://au.archive.ubuntu.com wily-backports/restricted Translation-en      
Hit http://au.archive.ubuntu.com wily-backports/universe Translation-en        
Get:14 https://apt.dockerproject.org ubuntu-wily InRelease [454 B]             
Ign https://apt.dockerproject.org ubuntu-wily InRelease                        
Hit https://apt.dockerproject.org ubuntu-wily Release.gpg                      
Hit https://apt.dockerproject.org ubuntu-wily Release                          
Hit https://apt.dockerproject.org ubuntu-wily/main amd64 Packages              
Get:15 https://apt.dockerproject.org ubuntu-wily/main Translation-en_AU [454 B]
Get:16 https://apt.dockerproject.org ubuntu-wily/main Translation-en [454 B]   
Get:17 https://apt.dockerproject.org ubuntu-wily/main Translation-en_AU [454 B]
Get:18 https://apt.dockerproject.org ubuntu-wily/main Translation-en [454 B]   
Get:19 https://apt.dockerproject.org ubuntu-wily/main Translation-en_AU [454 B]
Get:20 https://apt.dockerproject.org ubuntu-wily/main Translation-en [454 B]   
Get:21 https://apt.dockerproject.org ubuntu-wily/main Translation-en_AU [454 B]
Get:22 https://apt.dockerproject.org ubuntu-wily/main Translation-en [454 B]   
Get:23 https://apt.dockerproject.org ubuntu-wily/main Translation-en_AU [454 B]
Ign https://apt.dockerproject.org ubuntu-wily/main Translation-en_AU           
Get:24 https://apt.dockerproject.org ubuntu-wily/main Translation-en [454 B]   
Ign https://apt.dockerproject.org ubuntu-wily/main Translation-en              
Fetched 800 kB in 22s (36.3 kB/s)                                              
Reading package lists... Done

This is what happens when I try to install either landscape-server-quickstart or landscape-server:

joseph@slave-server:~$ sudo apt-get install landscape-server-quickstart
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package landscape-server-quickstart is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'landscape-server-quickstart' has no installation candidate

I get the same error for "landscape-server".

So far, I have tried this on two physical Ubuntu 15.10 machines, and one DigitalOcean 15.10 VPS, none of them worked. Any clues?

Best Answer

Landscape is only released for Ubuntu LTS releases. Currently the latest LTS is Trusty (Ubuntu 14.04) but in a couple of weeks we'll have the new LTS - Xenial (Ubuntu 16.04).

Please try using an Ubuntu Trusty 14.04 machine, with the Landscape 16.03 release (the page that you linked to has already been updated to reflect that new release).